Subject: patch v2 non-determinism fix

From: Runciter <[email-masked]>
Date: Thu, 21 Nov 2024 01:15:47 +0000

Version 2 of the patch is a change to the freedict-tools package which
is a fix for the non-determinism of dictzip headers.

Before compressing .dict files, a shell command involving touch and date
sets the file's mtime to the start of the epoch taken on the Greenwich
meridian.

The build is now repeatable on my machine, and probably on any single
machine. As for reproducibility across machines, well, good chance it'll
be reproducible: the design intent is that the compressed file headers
should be insensitive to the system's configured time zone. This will
need to be assured by challenging a substitutes build from a computer
which is configured on a timezone different from its substitute server.

Runciter